signconf_task.h File Reference
`#include "db/db_connection.h"`
`#include "db/policy.h"`

Go to the source code of this file.

## Functions

void | signconf_task_flush_zone (engine_type *engine, db_connection_t *dbconn, const char *zonename)
void | signconf_task_flush_policy (engine_type *engine, db_connection_t *dbconn, policy_t const *policy)
void | signconf_task_flush_all (engine_type *engine, db_connection_t *dbconn)

## Function Documentation

## signconf_task_flush_all()

void signconf_task_flush_all | ( | engine_type * | engine,
|  | db_connection_t * | dbconn )

extern

Definition at line 106 of file signconf_task.c.

References signconf_task_flush_zone(), zone_db_name(), zone_list_db_free(), zone_list_db_get(), zone_list_db_new(), and zone_list_db_next().

Referenced by policy_import().

## signconf_task_flush_policy()

void signconf_task_flush_policy | ( | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | policy_t const * | policy )

extern

Definition at line 85 of file signconf_task.c.

References policy_id(), policy_name(), signconf_task_flush_zone(), zone_db_name(), zone_list_db_free(), zone_list_db_new_get_by_policy_id(), and zone_list_db_next().

## signconf_task_flush_zone()

void signconf_task_flush_zone | ( | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | const char * | zonename )

extern

Definition at line 76 of file signconf_task.c.

Referenced by signconf_task_flush_all(), and signconf_task_flush_policy().